function [Theta]=JTheta_4(u,K,K_prime,n)
%  
% by Bernd Fischer, version: 09.02.91
% 
% computes the nth partial sum of the
% fourth Jacobian Theta function Theta, where
%
% Theta(u)=theta_4(u*pi/(2K);q), q=exp(-pi*Ks/K)
% 
%

q=exp(-pi*K_prime/K);
m=max(size(u));
if m==1 
   Theta=zeros(length(u),1);
 else
   Theta=zeros(u);
end

for j=1:n
    Theta=Theta+(-1)^j*q^(j*j)*cos(2*j*pi*u/(2*K));
end
Theta=1+2*Theta;
