function [wR_F]=sn_inv(w,k,tol)
%
% by Bernd Fischer, version 25.08.93
%
% computes the inverse of the elliptic sine sn(w;k)
%
% desired accuracy of the result: tol
% 

%%initialize
   x=sqrt(1-w^2);
   y=sqrt(1-k^2*w^2); 
   z=1;
   dxy=abs(x^2-y^2); dyz=abs(y^2-z^2);

%%iterate
   while (abs(x^2-y^2)/dxy > tol) & (abs(y^2-z^2)/dyz > tol) 

      x_old=x;
      y_old=y;
      z_old=z;

      x=sqrt((x_old+y_old)*(x_old+z_old))/2;
      y=sqrt((y_old+x_old)*(y_old+z_old))/2;
      z=2*x*y/(x_old+y_old);

   end %while

   wR_F=w/z; 

return;
