function [C]=cfAerr(nu, eta, tol)
%
% by Bernd Fischer, version: 25.08.93
%
% approximates ||x_* - x_0||_A using the 
% continued fraction scheme
%
% desired accuracy of the approximation: tol
%

%%initialize
   n=0;
   n_max=length(nu); C=zeros(n_max,1);
   C(1)=0;  C(2)=-eta(1)*nu(1);
   d2=1; rho=1;

%%iterate
   while n < n_max-1 & abs((C(n+2)-C(n+1))/C(n+2)) > tol 
      n=n+1;

      d1=d2; d2=eta(n)+eta(n+1)*nu(n+1);
      d=eta(n+1)*nu(n+1)/(d1*d2);
      if n > 1  d=d*eta(n-1);  end;

      rho=1/(1-d*rho);

      C(n+2)=rho*C(n+1)-(rho-1)*C(n);
    
   end %while

   C=C(1:n+2);

return;
