MtE[A_,f_,xstar_,x0_,nmax_,tol_] := 

(* by Bernd Fischer, version: 25.08.93            *)

(*computes the Euclidian norm normMtE of the      *)
(*minmal error with respect to the Krylov space   *)
(*generated by A, f, and x0.                      *)

(*maximal number of iterations:   nmax            *)
(*desired accuracy of the error:  tol             *)

(*uses: Matvec, Norm                              *)

Block[{r0,e0,v,vold,vhat,alpha,beta,norme,k,nn},

(*initialize*)
   nn=Length[x0];
   r0=f-Matvec[A,x0]; e0=xstar-x0; 
   vold=Table[0,{nn}]; vhat=r0;
   beta=Norm[vhat];
   norme=Norm[e0]; norme0=norme;
   normMtE={}; AppendTo[normMtE,norme];
   
   For[k=2,((k<=nmax+1) && (norme/norme0>tol)),k++,
  
   (*Lanczos*)
      v=vhat/beta; Av=Matvec[A,v]; alpha=v . Av;
      vhat=Av - alpha  v - beta  vold;
      beta=Norm[vhat]; vold=v;
      
   (*norm*)   
      norme=Sqrt[norme^2 - (v . e0)^2];
      AppendTo[normMtE,norme]; 
      
   ]; (*end For*)
   
(*output*)
   Return[normMtE];
   
];